### Method

# Cogl Context has_feature

#### Declaration [src]

    gboolean
    cogl_context_has_feature (
      CoglContext* context,
      CoglFeatureID feature
    )

#### Description [src]

Checks if a given `feature` is currently available

Cogl does not aim to be a lowest common denominator API, it aims to expose all the interesting features of GPUs to application which means applications have some responsibility to explicitly check that certain features are available before depending on them.

#### Parameters

`feature`

  Type: `CoglFeatureID`

  A `CoglFeatureID`.

#### Return value

Type: `gboolean`

`TRUE` if the `feature` is currently supported or `FALSE` if not.